Index: libproxy/cmake/modules/pacrunner_mozjs.cmk
===================================================================
--- libproxy/cmake/modules/pacrunner_mozjs.cmk	(revision 814)
+++ libproxy/cmake/modules/pacrunner_mozjs.cmk	(revision 815)
@@ -7,19 +7,15 @@
     include_directories("${MOZJS_INCLUDE_DIR}")
   endif()
 elseif(NOT APPLE)
-  set(MOZJS_SEARCH_ORDER "mozilla-js;xulrunner-js;firefox-js;seamonkey-js" CACHE STRING "MozJS search order")
   option(WITH_MOZJS "Search for MOZJS package" ON)
   if (WITH_MOZJS)
-    foreach(MOZJSLIB ${MOZJS_SEARCH_ORDER})
-      pkg_search_module(MOZJS ${MOZJSLIB}>=2.0b12)
-      if(MOZJS_FOUND)
-        include_directories(${MOZJS_INCLUDE_DIRS})
-        link_directories(${MOZJS_LIBRARY_DIRS})
-        break()
-      else()
-        set(MOZJS_FOUND 0)
-      endif()
-    endforeach()
+    pkg_search_module(MOZJS mozjs185>=1.8.5)
+    if(MOZJS_FOUND)
+      include_directories(${MOZJS_INCLUDE_DIRS})
+      link_directories(${MOZJS_LIBRARY_DIRS})
+    else()
+      set(MOZJS_FOUND 0)
+    endif()
   else()
     set(MOZJS_FOUND 0)
   endif()
Index: NEWS
===================================================================
--- NEWS	(revision 814)
+++ NEWS	(revision 815)
@@ -1,3 +1,10 @@
+New in version 0.4.8 (not yet released)
+==============================
+* Only support standalone mozjs185 as mozilla js engine.
+  xulrunner being part of the now lightning fast moving firefox
+  is impossible to be tracked as a dependency and it is not
+  supported by Mozilla to be used in this scenario.
+
 New in version 0.4.7
 ==============================
 * Support/require xulrunner 2.0+
